Name:           kompozer
Version:        0.7.10
Summary:        Nvu''s unofficial bug-fix release, complete Web Authoring System
Release:       	alt1
License:        MPL/GPL
Group:          Development/Other
URL:		http://www.kompozer.net

Source0:	kompozer-0.7.10dfsg-src.tar.gz

# Automatically added by buildreq on Tue Feb 19 2008
BuildRequires: doxygen gcc-c++ imake libIDL-devel libXft-devel
BuildRequires: libXinerama-devel libXp-devel libgtk+2-devel makedepend
BuildRequires: net-tools unzip xorg-cf-files zip

BuildRequires: autoconf_2.13 chrpath libnspr libnss
%set_autoconf_version 2.13

%define fullname	%name-%version
%define kompozer_prefix %_libdir/%fullname

%description
KompoZer is a complete web authoring system that combines web file
management and easy-to-use WYSIWYG web page editing.

KompoZer is designed to be extremely easy to use, making it ideal for
non-technical computer users who want to create an attractive,
professional-looking web site without needing to know HTML or web
coding.

%package devel
Summary: 	KompoZer development kit.
Group: 		Development/C
Requires: kompozer = %version-%release

%description devel
KompoZer development kit.

%prep
%setup -q -n %name-%version

%build
cd %_builddir/%fullname/mozilla

%add_optflags %optflags_shared
%add_findprov_lib_path %kompozer_prefix

%__subst 's|AC_CONFIG_AUX_DIR(\${srcdir}/build/autoconf)|AC_CONFIG_AUX_DIR(build/autoconf)|' configure.in
%__autoconf

# Add fake RPATH
rpath="/$(printf %%s '%kompozer_prefix' |tr '[:print:]' '_')"
export LDFLAGS="$LDFLAGS -Wl,-rpath,$rpath"
export LIBIDL_CONFIG=/usr/bin/libIDL-config-2

%configure \
	--enable-optimize \
    	--disable-debug \
	--disable-svg \
    	--disable-ldap \
	--disable-mailnews \
	--disable-installer \
	--disable-activex \
	--disable-activex-scripting \
	--disable-tests \
	--disable-oji \
	--disable-necko-disk-cache \
	--enable-single-profile \
	--disable-profilesharing \
	--enable-extensions=wallet,xml-rpc,xmlextras,pref,universalchardet,spellcheck \
	--enable-image-decoders=default,-xbm \
	--enable-necko-protocols=http,ftp,file,jar,viewsource,res,data \
	--disable-pedantic \
	--disable-short-wchar \
	--enable-xprint \
	--enable-strip-libs \
	--enable-crypto \
	--disable-mathml \
	--with-system-zlib \
	--enable-default-toolkit=gtk2 \
	--enable-xft \
	--disable-freetype2 \
 \
	--with-system-mng \
	--with-system-png \
	--with-pthreads \
	--enable-elf-dynstr-gc \
	--enable-reorder \
	--enable-shared \
	--includedir=%_includedir/%name \
	--prefix=%_prefix 

%make_build \
	prefix=%_prefix \
	idldir=%_datadir/idl/%name \
	mozappdir=%kompozer_prefix \
	MOZ_STANDALONE_COMPOSER=1 

%install
cd %_builddir/%fullname/mozilla
%makeinstall \
	idldir=%buildroot/%_datadir/idl/%name \
	includedir=%buildroot/%_includedir/%name \
	mozappdir=%buildroot/%kompozer_prefix \
	MOZ_STANDALONE_COMPOSER=1 

# Add real RPATH
rpath="/$(printf %%s '%kompozer_prefix' |tr '[:print:]' '_')"
find \
    "%buildroot%kompozer_prefix" \
    -type f | 
while read f; do
  %__file "$f" | grep -qs ELF || continue
  if chrpath -l "$f" | fgrep -qs "RPATH=$rpath"; then
    chrpath -r "%kompozer_prefix" "$f"
  fi
done

%files
%_bindir/%name
%_bindir/%name-config
%_libdir/%fullname

%files devel
%_libdir/pkgconfig/*
%_datadir/idl/%name
%_datadir/aclocal/*
%_includedir/%name

%changelog
* Wed Feb 20 2008 Eugine V. Kosenko <maverik@altlinux.ru> 0.7.10-alt1
- Initial build

